function [fitness,feval] = OnePlusOne(n)
% [fitness,feval]=OnePlusOne(n)
% (1+1), mutation bit-flip for bitstrings of size(n) for maximizing the OneMax function
% 
% fitness: a vector with best-so-far function values
% feval: number of function evaluations until optimum was found


parent = round(rand(n,1)); % sample a point uniformly in {0,1}^n
fparent = onemax(parent);  % evaluate this point
feval = 1;

fitness = fparent; % store best-so-far

while (fparent < n)
   offspring = parent;
   % BITFLIP Mutation
   for i = 1:n
       if (ceil(n*rand) == 1) % flip each bit with probability 1/n
           offspring(i) = 1 - parent(i); 
       end
   end
   foffspring = onemax(offspring);
   feval = feval + 1;
   if (foffspring > fparent)
       parent = offspring;
       fparent = foffspring;
   end
   fitness = [fitness fparent];
   
end
