% parameters:
Sizes=1:5:100;
numOfRuns = 11;

RunningTime_mean = [];
RunningTime_STD = [];

for n = Sizes
    tic;
    disp(n);
    fevalVect = [];
    for i = 1:numOfRuns
        [fitness, ffeval] = oneplusone(n);
        fevalVect = [fevalVect ffeval];
    end
    Meanfeval = mean(fevalVect);
    stdfeval = std(fevalVect);
    RunningTime_mean = [RunningTime_mean Meanfeval];
    RunningTime_STD = [RunningTime_STD stdfeval];
    toc;
end


figure(12);
errorbar(Sizes, RunningTime_mean, ...
    RunningTime_STD, RunningTime_STD, 'b-');
xlabel('search space size n');
ylabel(sprintf('empirical average running time T over %d runs', numOfRuns));


figure(11);
plot(Sizes, RunningTime_mean, 'b-');
grid on;
hold on;
plot(Sizes, RunningTime_mean+RunningTime_STD, 'g-');
plot(Sizes, RunningTime_mean-RunningTime_STD, 'g-');
plot(Sizes, exp(1).*Sizes.*log2(Sizes), 'r-');
legend('#funevals (1+1)EA','std (1+1)EA','std (1+1)EA','theory (1+1)EA', 'Location', 'NorthWest');
xlabel('search space size n');
ylabel(sprintf('empirical average running time T over %d runs', numOfRuns));
hold off;