% parameters:
Sizes=1:2:14;
numOfRuns = 11;

RunningTimeRS_mean = [];
RunningTimeRS_STD = [];

for n = Sizes
    tic;
    disp(n);
    fevalVect = [];
    for i = 1:numOfRuns
        [fitness, ffeval] = pureRS(n);
        fevalVect = [fevalVect ffeval];
    end
    Meanfeval = mean(fevalVect);
    stdfeval = std(fevalVect);
    RunningTimeRS_mean = [RunningTimeRS_mean Meanfeval];
    RunningTimeRS_STD = [RunningTimeRS_STD stdfeval];
    toc;
end


figure(12);
errorbar(Sizes, RunningTimeRS_mean, ...
    RunningTimeRS_STD, RunningTimeRS_STD, 'b-');
xlabel('search space size n');
ylabel(sprintf('empirical average running time T over %d runs', numOfRuns));


figure(11);
plot(Sizes, RunningTimeRS_mean, 'b-');
grid on;
hold on;
plot(Sizes, RunningTimeRS_mean+RunningTimeRS_STD, 'g-');
plot(Sizes, RunningTimeRS_mean-RunningTimeRS_STD, 'g-');
plot(Sizes, 2.^Sizes, 'r-');
legend('#funevals PRS','std PRS','std PRS','theory PRS', 'Location', 'NorthWest');
xlabel('search space size n');
ylabel(sprintf('empirical average running time T over %d runs', numOfRuns));
hold off;


figure(10)
semilogy(Sizes, RunningTimeRS_mean, 'b-');
grid on;
hold on;
semilogy(Sizes, RunningTimeRS_mean+RunningTimeRS_STD, 'g-');
semilogy(Sizes, RunningTimeRS_mean-RunningTimeRS_STD, 'g-');
semilogy(Sizes, 2.^Sizes, 'r-');
legend('#funevals PRS','std PRS','std PRS','theory PRS', 'Location', 'NorthWest');
xlabel('search space size n');
ylabel(sprintf('empirical average running time T over %d runs', numOfRuns));
hold off;

